Subject: bug#52545: 29.0.50; Make org-babel-execute-buffer ignore irrelevant src blocks

From: Rudolf Adamkovič <[email-masked]>
Date: Thu, 30 Dec 2021 09:00:00 +0100

Rudolf Adamkovič via "General discussions about Org-mode."
<[email-masked]> writes:

> Below, I include a typical use case: Org notes about an article with a
> corresponding BibTeX entry.

Please, ignore the example I gave, as it does not show anything.  I
apologize it.  Below, I provide a good example, one that made me stumble
upon the problem.

I have a paper that includes BibTeX blocks for references and SQLite
blocks to compute results.  I expect Org to execute all SQLite without
aborting to inform me that it could not execute BibTeX. Further, I
expect Org to it without me instructing it, for executing BibTeX does
not make sense.

#+title: …
#+author: Rudolf Adamkovič
#+email: [email-masked]
#+property: header-args+ :comments link
#+cite_export: csl apa.csl
#+property: header-args:bibtex+ :exports none
#+property: header-args:bibtex+ :eval yes
#+options: toc:nil
#+latex_header: \usepackage{setspace}
#+latex_header: \doublespacing

* Abstract […]

* Introduction

[…] [cite/text:@beall-2019] explains […]

#+begin_src bibtex :tangle ~/bib/beall-2019.bib
[…]
#+end_src

[… 10 more BibTeX blocks used for the literature review]

* Methods […]

* Results

[…]

#+begin_src sqlite :db ~/tmp/test.db :exports none
[…]
#+end_src

[… 10 more SQLite blocks used to compute the results …]

[…]

Rudy
-- 
"'Contrariwise,' continued Tweedledee, 'if it was so, it might be; and
if it were so, it would be; but as it isn't, it ain't. That's logic.'"
-- Lewis Carroll, Through the Looking Glass

Rudolf Adamkovič <[email-masked]> [he/him]
Studenohorská 25
84103 Bratislava
Slovakia